------------------------------------------------------------
-- VHDL OVF_DETECT
-- 2021 9 2 10 12 26
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL OVF_DETECT
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity OVF_DETECT Is
  port
  (
    FD_OUT : Out   STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Port|PrimaryId=FD_OUT[15..0]
    FIL_IN : In    STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Port|PrimaryId=FIL_IN[31..0]
    O_F    : Out   STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=O_F
    SIGN   : Out   STD_LOGIC                                 -- ObjectKind=Port|PrimaryId=SIGN
  );
  attribute MacroCell : boolean;

End OVF_DETECT;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of OVF_DETECT Is
   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U132|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U132-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U132-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U132-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U132-O
      );
   End Component;

   Component AND12B                                          -- ObjectKind=Part|PrimaryId=U133|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(11 Downto 0);               -- ObjectKind=Pin|PrimaryId=U133-I[11..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U133-O
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U129-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U129-O
      );
   End Component;

   Component M16_B2B1                                        -- ObjectKind=Part|PrimaryId=U130|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(15 Downto 0);              -- ObjectKind=Pin|PrimaryId=U130-A[15..0]
        B  : in  STD_LOGIC_VECTOR(15 Downto 0);              -- ObjectKind=Pin|PrimaryId=U130-B[15..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U130-S0
        Y  : out STD_LOGIC_VECTOR(15 Downto 0)               -- ObjectKind=Pin|PrimaryId=U130-Y[15..0]
      );
   End Component;

   Component NOR2S                                           -- ObjectKind=Part|PrimaryId=U134|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U134-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U134-O
      );
   End Component;

   Component NOR3S                                           -- ObjectKind=Part|PrimaryId=U136|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U136-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U136-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U136-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U136-O
      );
   End Component;

   Component OR12B                                           -- ObjectKind=Part|PrimaryId=U135|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(11 Downto 0);               -- ObjectKind=Pin|PrimaryId=U135-I[11..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U135-O
      );
   End Component;


    Signal NamedSignal_GND1_BUS : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[15..0]
    Signal NamedSignal_IN       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=IN[31..0]
    Signal NamedSignal_O        : STD_LOGIC_VECTOR(18 Downto 3); -- ObjectKind=Net|PrimaryId=O[18..0]
    Signal NamedSignal_O_F      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=O_F
    Signal NamedSignal_OUT      : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FD_OUT[15..0]
    Signal NamedSignal_VCC1_BUS : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[15..0]
    Signal PinSignal_U129_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=O18
    Signal PinSignal_U130_Y     : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=NetU130_Y[15..0]
    Signal PinSignal_U131_A     : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=O[18..0]
    Signal PinSignal_U131_Y     : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FD_OUT[15..0]
    Signal PinSignal_U132_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU132_O
    Signal PinSignal_U133_I     : STD_LOGIC_VECTOR(11 Downto 0); -- ObjectKind=Net|PrimaryId=IN[31..0]
    Signal PinSignal_U133_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU132_I2
    Signal PinSignal_U134_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=O_F
    Signal PinSignal_U135_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU135_O
    Signal PinSignal_U136_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU134_I1

Begin
    U136 : NOR3S                                             -- ObjectKind=Part|PrimaryId=U136|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U135_O,                              -- ObjectKind=Pin|PrimaryId=U136-I0
        I1 => NamedSignal_IN(19),                            -- ObjectKind=Pin|PrimaryId=U136-I1
        I2 => NamedSignal_IN(18),                            -- ObjectKind=Pin|PrimaryId=U136-I2
        O  => PinSignal_U136_O                               -- ObjectKind=Pin|PrimaryId=U136-O
      );

    U135 : OR12B                                             -- ObjectKind=Part|PrimaryId=U135|SecondaryId=1
      Port Map
      (
        I => PinSignal_U133_I,                               -- ObjectKind=Pin|PrimaryId=U135-I[11..0]
        O => PinSignal_U135_O                                -- ObjectKind=Pin|PrimaryId=U135-O
      );

    U134 : NOR2S                                             -- ObjectKind=Part|PrimaryId=U134|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U132_O,                              -- ObjectKind=Pin|PrimaryId=U134-I0
        I1 => PinSignal_U136_O,                              -- ObjectKind=Pin|PrimaryId=U134-I1
        O  => PinSignal_U134_O                               -- ObjectKind=Pin|PrimaryId=U134-O
      );

    U133 : AND12B                                            -- ObjectKind=Part|PrimaryId=U133|SecondaryId=1
      Port Map
      (
        I => PinSignal_U133_I,                               -- ObjectKind=Pin|PrimaryId=U133-I[11..0]
        O => PinSignal_U133_O                                -- ObjectKind=Pin|PrimaryId=U133-O
      );

    U132 : AND3S                                             -- ObjectKind=Part|PrimaryId=U132|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_IN(18),                            -- ObjectKind=Pin|PrimaryId=U132-I0
        I1 => NamedSignal_IN(19),                            -- ObjectKind=Pin|PrimaryId=U132-I1
        I2 => PinSignal_U133_O,                              -- ObjectKind=Pin|PrimaryId=U132-I2
        O  => PinSignal_U132_O                               -- ObjectKind=Pin|PrimaryId=U132-O
      );

    U131 : M16_B2B1                                          -- ObjectKind=Part|PrimaryId=U131|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U131_A,                              -- ObjectKind=Pin|PrimaryId=U131-A[15..0]
        B  => PinSignal_U130_Y,                              -- ObjectKind=Pin|PrimaryId=U131-B[15..0]
        S0 => PinSignal_U134_O,                              -- ObjectKind=Pin|PrimaryId=U131-S0
        Y  => PinSignal_U131_Y                               -- ObjectKind=Pin|PrimaryId=U131-Y[15..0]
      );

    U130 : M16_B2B1                                          -- ObjectKind=Part|PrimaryId=U130|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_VCC1_BUS,                          -- ObjectKind=Pin|PrimaryId=U130-A[15..0]
        B  => NamedSignal_GND1_BUS,                          -- ObjectKind=Pin|PrimaryId=U130-B[15..0]
        S0 => NamedSignal_IN(31),                            -- ObjectKind=Pin|PrimaryId=U130-S0
        Y  => PinSignal_U130_Y                               -- ObjectKind=Pin|PrimaryId=U130-Y[15..0]
      );

    U129 : INV                                               -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      Port Map
      (
        I => NamedSignal_IN(18),                             -- ObjectKind=Pin|PrimaryId=U129-I
        O => PinSignal_U129_O                                -- ObjectKind=Pin|PrimaryId=U129-O
      );

    -- Signal Assignments
    ---------------------
    FD_OUT                     <= NamedSignal_OUT; -- ObjectKind=Net|PrimaryId=FD_OUT[15..0]
    NamedSignal_GND1_BUS       <= "0000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[15..0]
    NamedSignal_IN             <= FIL_IN; -- ObjectKind=Net|PrimaryId=FIL_IN[31..0]
    NamedSignal_O(17 Downto 3) <= NamedSignal_IN(17 Downto 3); -- ObjectKind=Net|PrimaryId=IN[17..3]
    NamedSignal_O(18)          <= PinSignal_U129_O; -- ObjectKind=Net|PrimaryId=O18
    NamedSignal_O_F            <= PinSignal_U134_O; -- ObjectKind=Net|PrimaryId=O_F
    NamedSignal_OUT            <= PinSignal_U131_Y; -- ObjectKind=Net|PrimaryId=FD_OUT[15..0]
    NamedSignal_VCC1_BUS       <= "1111111111111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[15..0]
    O_F                        <= NamedSignal_O_F; -- ObjectKind=Net|PrimaryId=O_F
    PinSignal_U131_A           <= NamedSignal_O; -- ObjectKind=Net|PrimaryId=O[18..0]
    PinSignal_U133_I           <= NamedSignal_IN(31 Downto 20); -- ObjectKind=Net|PrimaryId=IN[31..0]
    SIGN                       <= NamedSignal_IN(31); -- ObjectKind=Net|PrimaryId=FIL_IN31

End Structure;
------------------------------------------------------------

